# Uses of Class
org.gitana.platform.client.LookupOptions

Packages that use LookupOptions
Package
Description
org.gitana.platform.client
org.gitana.platform.client.branch
org.gitana.platform.client.node
org.gitana.platform.client.util

## Uses of LookupOptions in org.gitana.platform.client

Methods in org.gitana.platform.client that return LookupOptions
Modifier and Type
Method
Description
`static LookupOptions`
LookupOptions.`fromPagination(org.gitana.platform.support.Pagination pagination)`
`static LookupOptions`
LookupOptions.`fromPath(String path)`

## Uses of LookupOptions in org.gitana.platform.client.branch

Methods in org.gitana.platform.client.branch with parameters of type LookupOptions
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<BaseNode>`
Branch.`findNodes(com.fasterxml.jackson.databind.node.ObjectNode query, String searchTerm, LookupOptions options)`
Queries and searches for nodes.
`org.gitana.platform.support.ResultMap<BaseNode>`
BranchImpl.`findNodes(com.fasterxml.jackson.databind.node.ObjectNode query, String searchTerm, LookupOptions options)`
`org.gitana.platform.support.ResultMap<Node>`
Branch.`listNodes(LookupOptions options)`
Retrieves the mount nodes for this branch.
`org.gitana.platform.support.ResultMap<Node>`
BranchImpl.`listNodes(LookupOptions options)`
`org.gitana.platform.support.ResultMap<BaseNode>`
Branch.`queryNodes(com.fasterxml.jackson.databind.node.ObjectNode query, LookupOptions options)`
Performs a query for nodes.
`org.gitana.platform.support.ResultMap<BaseNode>`
BranchImpl.`queryNodes(com.fasterxml.jackson.databind.node.ObjectNode query, LookupOptions options)`
`BaseNode`
Branch.`readNode(String nodeId, LookupOptions options)`
Reads a single node from the brancnh.
`BaseNode`
BranchImpl.`readNode(String nodeId, LookupOptions options)`
`org.gitana.platform.support.ResultMap<BaseNode>`
Branch.`searchNodes(com.fasterxml.jackson.databind.node.ObjectNode searchObject, LookupOptions options)`
Search
`org.gitana.platform.support.ResultMap<BaseNode>`
Branch.`searchNodes(String text, LookupOptions options)`
Full-text search
`org.gitana.platform.support.ResultMap<BaseNode>`
BranchImpl.`searchNodes(com.fasterxml.jackson.databind.node.ObjectNode searchObject, LookupOptions options)`
`org.gitana.platform.support.ResultMap<BaseNode>`
BranchImpl.`searchNodes(String text, LookupOptions options)`

## Uses of LookupOptions in org.gitana.platform.client.node

Subclasses of LookupOptions in org.gitana.platform.client.node
Modifier and Type
Class
Description
`class`
`TreeLookupOptions`
Methods in org.gitana.platform.client.node with parameters of type LookupOptions
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<BaseNode>`
Node.`findNodes(com.fasterxml.jackson.databind.node.ObjectNode query, String searchTerm, com.fasterxml.jackson.databind.node.ObjectNode traverse, LookupOptions options)`
Queries and searches for nodes in the defined traversal space around this node.
`org.gitana.platform.support.ResultMap<BaseNode>`
NodeImpl.`findNodes(com.fasterxml.jackson.databind.node.ObjectNode query, String searchTerm, com.fasterxml.jackson.databind.node.ObjectNode traverse, LookupOptions options)`

## Uses of LookupOptions in org.gitana.platform.client.util

Methods in org.gitana.platform.client.util with parameters of type LookupOptions
Modifier and Type
Method
Description
`static Map<String,String>`
DriverUtil.`params(LookupOptions options)`